# H4509_CcArg Class Reference

`#include <h4509.h>`

List of all members.

## Public Types

enum | Choices { e_shortArg, e_longArg }

## Public Member Functions

| H4509_CcArg (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H4509_CcShortArg & ()
| operator const H4509_CcShortArg & () const
| operator H4509_CcLongArg & ()
| operator const H4509_CcLongArg & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H4509_CcArg::Choices

Enumerator:

  e_shortArg |
  e_longArg |

## Constructor & Destructor Documentation

H4509_CcArg::H4509_CcArg | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4509_CcArg::operator H4509_CcShortArg & | ( |  | ) |

H4509_CcArg::operator const H4509_CcShortArg & | ( |  | ) | const

H4509_CcArg::operator H4509_CcLongArg & | ( |  | ) |

H4509_CcArg::operator const H4509_CcLongArg & | ( |  | ) | const

PBoolean H4509_CcArg::CreateObject | ( |  | ) |

PObject* H4509_CcArg::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4509.h